APINHI
List NHI agents
List the agents found in the org's directories.
GET
List the agents found in the org's directories.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_nhisource_id?stringFormat
uuidThe request has succeeded.
application/json- response
items*array<>curl -X GET "https://example.com/nhi/agents"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81", "external_id": "string", "display_name": "string", "agent_slug": "string", "open_findings": 0, "highest_severity": "low", "details": { "provider": "microsoft_entra", "object_type": "agent_identity", "app_id": "string", "blueprint_id": "string", "created_at": "2019-08-24T14:15:22Z", "account_enabled": true, "owners": [ { "id": "string", "display_name": "string", "user_principal_name": "string", "mail": "string", "kind": "user" } ], "sponsors": [ { "id": "string", "display_name": "string", "user_principal_name": "string", "mail": "string", "kind": "user" } ], "consented_by": [ { "id": "string", "display_name": "string", "user_principal_name": "string", "mail": "string", "kind": "user" } ], "admin_consented_apis": [ "string" ] } } ]}